\ Forth project0 for TI MSP430 LaunchPad

\ The cross compiler will include this source file as your 'null' project.
\
\ How does the compiler know?
\ By executing the Forth control file for TI Launchpad - liteLP2553uf.ctl 
\ You find it in folder MyApps along with the project0.fth file. 
\
\ The control file is already prepared for the board.
\ If you feel comfortable with Forth, just get it started.
\ Look for the Handy Reference Card in the menue HELP entry of AIDE. 


\ Otherwise the "Programming Forth" book and the manuals are there for you
\ in the HELP entries. The books contain even more information 
\ about Forth literature, paper and online formats.
\
\ If you have become familiar with Forth and the cross compiler, 
\ edit the Forth control file for your particular purposes.
\ Navigate to the line
\   include %AppDir%\project0
\ and edit it to include other apps.
\ You may include several files.
\   include %AppDir%\MyProject1
\   include %AppDir%\AnotherProject
\ ... and so on, one file per line. 



\ Now: Let the LEDs flash. ...
\ You may type in upper or lower case.



\ I/O   
\ Set the port pins as outputs, so they can drive the LEDs.
  
\ bit0 bit6 +  p1dir hi


\ main
: FLASH ( -- )  ....
  BEGIN  
    RED-ON    500 ms  RED-OFF
    GREEN-ON  500 ms  GREEN-OFF
  key? UNTIL key drop ;


\ Thats all.
\
\ Type FLASH in the Tool Capture Display to execute the app.
\ Or uncomment the next line below to make it the main routine afer reset.
\ and do not forget to save it.  


\ make-turnkey flash   \ this is the line to uncomment

\ When you are satisfied with project0 may be you want to try some other 
\ exampes. You find them in folder EXAMPLES. Edit the 
\   include "..EXAMPLES\"
\ line of the Forth control file to include the example of your choice. 

\ Have fun. 


