\ Umbilical Forth project0 for TI MSP430 LaunchPad

\ The cross compiler will include this source file as your 'null' project.
\
\ How does the compiler know?
\ By executing the Forth control file for TI Launchpad - liteLP2553uf.ctl
\ You find it in the MSP430Lite folder along with the file project0.fth.
\
\ The control file is already prepared for the board.
\ If you feel comfortable with Forth, just get it started.
\ Look for the Handy Reference Card in the menu HELP entry of AIDE.


\ Otherwise the book "Programming Forth" and the manuals are there for you
\ in the HELP entries. The books contain even more information
\ about Forth literature, paper and online formats.
\
\ If you have become familiar with Forth and the cross compiler,
\ edit the Forth control file for your particular purposes.
\ Navigate to the line
\   include %AppDir%\project0
\ and edit it to include other apps.
\ You may include several files.
\   include %AppDir%\MyProject1
\   include %AppDir%\AnotherProject
\ ... and so on, one file per line.


\ Now: Let the LEDs flash. ...
\ You may type upper or lower case.


\ I/O
\ Set the port pins as outputs, so they can drive the LEDs.

: green-on	\ -- ; P1.6
\ *G Turn green LED on.
  $40 P1OUT bor!  ;
: green-off	\ -- ; P1.6
\ *G Turn green LED off.
  $40 P1OUT bbic!  ;
: red-on	\ -- ; P1.0
\ *G Turn red LED on.
  $01 P1OUT bor!  ;
: red-off	\ -- ; P1.0
\ *G Turn red LED off.
  $01 P1OUT bbic!  ;

: FLASH		\ -- ; runs for ever, no exit
\ *G The main routine, flashes the LEDs for ever.
  start-clock				\ start the timer
  BEGIN
    RED-ON    500 ms  RED-OFF
    GREEN-ON  500 ms  GREEN-OFF
  AGAIN
;


\ Thats all.
\
\ Type FLASH in the Tool Capture Display to execute the app.
\ Or uncomment the next line below to make it the main routine afer reset.
\ and do not forget to save it.

\ make-turnkey flash   \ this is the line to uncomment

\ When you are satisfied with project0 may be you want to try some other
\ exampes. You find them in folder EXAMPLES. Edit the
\   include "..\EXAMPLES\"
\ line of the Forth control file to include the example of your choice.

\ Have fun.


